> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ekiden.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1userrewards



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/user/rewards
openapi: 3.1.0
info:
  title: ekiden-gateway
  description: >-
    API Gateway and WebSocket proxy based on Axum and Utoipa, handling auth,
    rate limiting, and connection buffering.
  license:
    name: ''
  version: 0.1.1
servers:
  - url: https://api.cnt.ekiden.fi/
    description: Testnet
  - url: https://api.canton.ekiden.fi/
    description: Staging
security: []
paths:
  /api/v1/user/rewards:
    get:
      tags:
        - User
      operationId: get_rewards_summary
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type:
              - integer
              - 'null'
            format: int32
            minimum: 0
      responses:
        '200':
          description: Reward summary
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RewardSummaryResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    RewardSummaryResponse:
      type: object
      required:
        - current_week
        - history
        - xp_balance
        - ledger
      properties:
        current_week:
          $ref: '#/components/schemas/RewardWeekSummary'
        history:
          type: array
          items:
            $ref: '#/components/schemas/RewardWeekSummary'
        ledger:
          type: array
          items:
            $ref: '#/components/schemas/PointsLedgerEntry'
        xp_balance:
          type: integer
          format: int64
    RewardWeekSummary:
      type: object
      required:
        - week_start
        - week_end
        - own_ps
        - bonus_ps
        - final_ps
        - xp
        - finalized
      properties:
        bonus_ps:
          type: string
        final_ps:
          type: string
        finalized:
          type: boolean
        own_ps:
          type: string
        week_end:
          type: integer
          format: int64
        week_start:
          type: integer
          format: int64
        xp:
          type: string
    PointsLedgerEntry:
      type: object
      required:
        - ledger_id
        - run_id
        - delta_xp
        - reason
        - metadata_json
        - created_at
      properties:
        created_at:
          type: integer
          format: int64
        delta_xp:
          type: integer
          format: int64
        ledger_id:
          type: string
        metadata_json: {}
        reason:
          type: string
        run_id:
          type: string
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer

````